package com.qmth.paper.library.business.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 扫描任务参数
 * @Author: CaoZixuan
 * @Date: 2022-09-28
 */
public class PaperScanTaskParam implements Serializable {

    @ApiModelProperty(value = "扫描任务id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long paperScanTaskId;

    @ApiModelProperty(value = "扫描任务名称")
    private String scanTaskName;

    @ApiModelProperty(value = "档案id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long paperArchivesId;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "任课教师")
    private String teacherName;

    @ApiModelProperty(value = "教学班")
    private String teachClazzName;

    @ApiModelProperty(value = "扫描员")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long scanUserId;

    public Long getPaperScanTaskId() {
        return paperScanTaskId;
    }

    public void setPaperScanTaskId(Long paperScanTaskId) {
        this.paperScanTaskId = paperScanTaskId;
    }

    public String getScanTaskName() {
        return scanTaskName;
    }

    public void setScanTaskName(String scanTaskName) {
        this.scanTaskName = scanTaskName;
    }

    public Long getPaperArchivesId() {
        return paperArchivesId;
    }

    public void setPaperArchivesId(Long paperArchivesId) {
        this.paperArchivesId = paperArchivesId;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeachClazzName() {
        return teachClazzName;
    }

    public void setTeachClazzName(String teachClazzName) {
        this.teachClazzName = teachClazzName;
    }

    public Long getScanUserId() {
        return scanUserId;
    }

    public void setScanUserId(Long scanUserId) {
        this.scanUserId = scanUserId;
    }
}
