package com.qmth.paper.library.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.paper.library.business.bean.params.PaperScanTaskParam;
import com.qmth.paper.library.business.bean.result.PaperScanTaskResult;
import com.qmth.paper.library.business.entity.PaperScanTask;
import com.qmth.paper.library.common.entity.SysUser;

import java.util.List;

/**
 * <p>
 * 扫描任务表 服务类
 * </p>
 */
public interface PaperScanTaskService extends IService<PaperScanTask> {
    /**
     * 扫描任务分页查询
     *
     * @param courseName  课程名称
     * @param teacherName 任课教师
     * @param pageNumber  分页页数
     * @param pageSize    分页容量
     * @param requestUser 请求用户
     * @return 分页结果
     */
    IPage<PaperScanTaskResult> paperScanTaskPage(String courseName, String teacherName, int pageNumber, int pageSize, SysUser requestUser);

    /**
     * 扫描任务编辑
     *
     * @param paperScanTaskParam 扫描任务参数
     * @param requestUser        请求用户
     * @return 扫描任务id
     */
    Long editPaperScanTask(PaperScanTaskParam paperScanTaskParam, SysUser requestUser);

    /**
     * 扫描任务批量删除
     *
     * @param idList 扫描任务id集合
     */
    void deletePaperScanTaskByIdList(List<Long> idList);

    List<PaperScanTask> listByPaperArchivesId(Long id);
}
