package com.qmth.paper.library.business.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.paper.library.business.bean.params.PaperScanTaskParam;
import com.qmth.paper.library.business.bean.result.PaperScanTaskResult;
import com.qmth.paper.library.business.entity.PaperScanTask;
import com.qmth.paper.library.business.mapper.PaperScanTaskMapper;
import com.qmth.paper.library.business.service.PaperScanTaskService;
import com.qmth.paper.library.common.contant.SystemConstant;
import com.qmth.paper.library.common.entity.SysUser;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * <p>
 * 扫描任务表 服务实现类
 * </p>
 */
@Service
public class PaperScanTaskServiceImpl extends ServiceImpl<PaperScanTaskMapper, PaperScanTask> implements PaperScanTaskService {

    @Override
    public IPage<PaperScanTaskResult> paperScanTaskPage(String courseName, String teacherName, int pageNumber, int pageSize, SysUser requestUser) {
        Long schoolId = requestUser.getSchoolId();
        courseName = SystemConstant.strNotNull(courseName) ? SystemConstant.translateSpecificSign(courseName) : null;
        teacherName = SystemConstant.strNotNull(teacherName) ? SystemConstant.translateSpecificSign(teacherName) : null;
        return this.baseMapper.findPaperScanTaskPage(new Page<>(pageNumber,pageSize),schoolId,courseName,teacherName,null);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public Long editPaperScanTask(PaperScanTaskParam paperScanTaskParam, SysUser requestUser) {
        return null;
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void deletePaperScanTaskByIdList(List<Long> idList) {

    }

    @Override
    public List<PaperScanTask> listByPaperArchivesId(Long paperArchivesId) {
        QueryWrapper<PaperScanTask> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(PaperScanTask::getPaperArchivesId, paperArchivesId);
        return this.list(queryWrapper);
    }
}
